Bug 2868 - address completion with gpg keyring
Summary: address completion with gpg keyring
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Compose Window (show other bugs)
Version: 3.9.0
Hardware: All All
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2013-01-27 20:13 CET by Christian Hesse
Modified: 2014-06-20 13:04 CEST (History)
0 users

See Also:


Attachments
add plugin for GPG addresses autocompletion (6.65 KB, patch)
2014-01-30 18:06 CET, Christian Hesse
no flags Details | Diff
add plugin for GPG addresses autocompletion (6.63 KB, patch)
2014-01-30 18:29 CET, Christian Hesse
no flags Details | Diff
add plugin for GPG addresses autocompletion (7.42 KB, patch)
2014-01-31 09:53 CET, Christian Hesse
no flags Details | Diff
add plugin for GPG addresses autocompletion (7.43 KB, patch)
2014-01-31 22:13 CET, Christian Hesse
no flags Details | Diff
add plugin for GPG addresses autocompletion (7.42 KB, patch)
2014-03-13 11:34 CET, Christian Hesse
no flags Details | Diff
add plugin for GPG addresses autocompletion (7.99 KB, patch)
2014-03-17 09:38 CET, Christian Hesse
no flags Details | Diff
add keyring address autocompletion support to PGP/Core plugin (11.14 KB, patch)
2014-03-17 11:05 CET, Christian Hesse
no flags Details | Diff
add keyring address autocompletion support to PGP/Core plugin (11.14 KB, patch)
2014-03-17 11:23 CET, Christian Hesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Hesse 2013-01-27 20:13:58 CET
Public keys in gnupg's keyring have at least one uid which contains a mail address. This address is not necessarily in claw's address book, so I would like to have address completion from gnupg's public keyring.
Comment 1 Christian Hesse 2014-01-30 18:06:59 CET
Created attachment 1321 [details]
add plugin for GPG addresses autocompletion

I found some time to take a look at this...

This plugin works perfectly. I hope I did got the build system things right.
Comment 2 Christian Hesse 2014-01-30 18:29:08 CET
Created attachment 1322 [details]
add plugin for GPG addresses autocompletion

Damn, I broke linking... Should work now.
Comment 3 Christian Hesse 2014-01-31 09:53:24 CET
Created attachment 1323 [details]
add plugin for GPG addresses autocompletion

This had some rough edges... Reworked it a bit.
Comment 4 rezso 2014-01-31 17:20:04 CET
This plugin depends on newmail plugin?

src/plugins/gpgaddress/Makefile.am:
if BUILD_NEWMAIL_PLUGIN
plugin_LTLIBRARIES = gpgaddress.la
endif
Comment 5 Christian Hesse 2014-01-31 21:56:47 CET
Uh, no, it does not. Just a copy'n'paste error. Will upload a new patch.
Comment 6 Christian Hesse 2014-01-31 22:13:44 CET
Created attachment 1324 [details]
add plugin for GPG addresses autocompletion

Fixed the copy'n'paste error.
Comment 7 Christian Hesse 2014-03-13 11:34:33 CET
Created attachment 1342 [details]
add plugin for GPG addresses autocompletion

Update to apply for latest git.
Comment 8 Christian Hesse 2014-03-17 09:38:06 CET
Created attachment 1346 [details]
add plugin for GPG addresses autocompletion

Clean up header files and add temporary binary files to .gitignore.
Comment 9 Colin Leroy 2014-03-17 09:47:20 CET
Hi,

This is actually a very good idea!

I do wonder if it is necessary to add it as a new plugin. I think the functionality could be integrated into the PGP/Core plugin.

(We often add plugins when they add requirements or dependancies, and this one doesn't)

What do you think ?

Thanks for your work!
Comment 10 Christian Hesse 2014-03-17 09:57:42 CET
Sure, we could do this. I will move the code and prepare a new patch.

I will add a new configuration option for whether oder not auto completion for GPG keyring should be enabled. What is the preferrer default?
Comment 11 Colin Leroy 2014-03-17 10:07:20 CET
Off by default would be better :)
Comment 12 Christian Hesse 2014-03-17 11:05:46 CET
Created attachment 1347 [details]
add keyring address autocompletion support to PGP/Core plugin

New patch: Add keyring address autocompletion support to PGP/Core plugin.
Comment 13 Christian Hesse 2014-03-17 11:23:56 CET
Created attachment 1348 [details]
add keyring address autocompletion support to PGP/Core plugin

Fix whitespace in plugin description.
Comment 14 users 2014-03-17 15:01:03 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2014-03-17 15:01:02.932796940 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=736c1a8a599a720c2dce5387284d6b630b702d52
Merge: 1e7f2c2 764fcdc
Author: Colin Leroy <colin@colino.net>
Date:   Mon Mar 17 15:01:02 2014 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=764fcdc60bd2c0c717bf699f13d45eb23de99031
Author: Colin Leroy <colin@colino.net>
Date:   Mon Mar 17 14:59:54 2014 +0100

    Fix crash due to wrong use of the gpointer source (which is a
    pointer-to-pointer to GList), replace exit() with return.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=faf5411f3c7b7a76950d91b232072eb98857988a
Author: Colin Leroy <colin@colino.net>
Date:   Mon Mar 17 14:56:15 2014 +0100

    Add the GPG keyring as possible source for address autocompletion.
    Patch by Christian Hesse, fixes bug #2868.
Comment 15 Christian Hesse 2014-06-20 13:04:34 CEST
This has been applied some time ago. Thanks!